Subject: Re: Imagewriter II

From: [email-masked] (Mitchell Spector)
Date: 15 Nov 1997 15:01 -0500

In article aps6 <[email-masked]> writes...

>Does anyone have any information on this dot matrix printer,

    In a nutshell, the ImageWriter II is a 9-pin dotmatrix,
C-Itoh series compatible, capable of 250 CPS (draft mode) as
well as color if you plug in a four or six color ribbon. With
optional accessories you can add a motorized sheet feeder, a
memory buffer or LocalTalk capabilities.

    Apple introduced it in 1985 and it has gone through at 
least three major revisions that I know of, with the most 
recent being known internally as the "II/L" (it had a much 
lighter and smaller powersupply, along with a built-in 24K 
buffer). The older ones have the power and serial connectors 
in the legs of the printer, the II/L has the inputs on either 
side of the paper feed area.

>I would like to know if I could connect it to a IBM type PC

    Yes, this is doable. Since it is a serial printer however,
you must give up one of your COMM ports. I've used it myself
on a 486 and Pentium, under both DOS and Windows. All you need
is the proper cable connection.

>Is the input a serial connection and if so what are the pinouts?

    The easiest solution is to leave your existing PC modem cable
plugged into the serial port, then add Macintosh modem cable with
a null-modem adapter on the end of that (this allows you to move
between an external modem and ImageWriter II easily, since you
do not have to switch the machine off to do the cable swap).

    If you want to build a custom cable instead, here are the pin-
outs I believe you'll need. One ends will be a female DB25 and the
other a male mini-DIN8:

DB25:      Mini-DIN8:
----       ---------
1          Ground shield
2          5
3          3
5,6,8      1
7          4,8
20         2

>There are allso some dip switches if anyone knows the setting.

    Bank 1 (SW1) is for the language character set, page length,
etc. Bank 2 (SW2) is for setting the baud rate and whether you
have an optional card installed (AppleTalk or memory buffer).
The default settings are as follows:

SW1: 1 [ON]   Character set (American)
     2 [ON]   Character set (American)
     3 [ON]   Character set (American)
     4 [ON]   Page length (66 lines)
     5 [ON]   Skip perforation (no)
     6 [OFF]  Chars per inch (Elite 12 cpi)
     7 [ON]   Chars per inch (Elite 12 cpi)
     8 [ON]   LF afer CR (none)

SW2: 1 [OFF]  Baud rate (9600)
     2 [OFF]  Baud rate (9600)
     3 [ON]   Comm protocol (DTR handshake)
     4 [ON]   Option card (no card)

ON = Open, OFF = Closed

>thanx for any help,

    One final note, if you plan to use the printer under Windows,
choose the "C.Itoh 8510" printer as your driver (this is included
with the standard Windows 95 setup, not sure about 3.1 or NT). If
you want to use color, you must download a shareware version of
the driver (I believe you can get it from C.Itoh's web page).

    If you plan to use the printer under MS-DOS, add the following
lines to your autoexec.bat (assumming COMM2):

mode lpt1:=comm2
mode com2:96,n,8,1

    The printer is usable on a PC box, but is of course more flexible
and better supported on the Apple II and Macintosh. My own IW2 sits
connected to my Apple IIgs more often than to my PC (though to be
honest, I use it rarely on either system because I've been spoiled
by inkjet and especially laster printers. :)

Mitchell Spector
[email-masked]